/* ===== Canela ===== */
@font-face {
	font-family: 'Canela';
	src: url('/fonts/Canela/Canela_Light/Canela-Light.otf') format('opentype');
	font-weight: 300;
	font-style: normal;
	font-display: swap;
}

@font-face {
	font-family: 'Canela';
	src: url('/fonts/Canela/Canela_Italic/Canela-LightItalic.otf') format('opentype');
	font-weight: 300;
	font-style: italic;
	font-display: swap;
}

/* ===== Gotham XNarrow ===== */
@font-face {
	font-family: 'Gotham XNarrow';
	src: url('/fonts/Gotham/Gotham%20XNarrow/GothamXNarrow-Light.otf') format('opentype');
	font-weight: 300;
	font-style: normal;
	font-display: swap;
}

@font-face {
	font-family: 'Gotham XNarrow';
	src: url('/fonts/Gotham/Gotham%20XNarrow/GothamXNarrow-LightItalic.otf') format('opentype');
	font-weight: 300;
	font-style: italic;
	font-display: swap;
}

@font-face {
	font-family: 'Gotham XNarrow';
	src: url('/fonts/Gotham/Gotham%20XNarrow/GothamXNarrow-Medium.otf') format('opentype');
	font-weight: 500;
	font-style: normal;
	font-display: swap;
}

@font-face {
	font-family: 'Gotham XNarrow';
	src: url('/fonts/Gotham/Gotham%20XNarrow/GothamXNarrow-MediumItalic.otf') format('opentype');
	font-weight: 500;
	font-style: italic;
	font-display: swap;
}

@font-face {
	font-family: 'Gotham XNarrow';
	src: url('/fonts/Gotham/Gotham%20XNarrow/GothamXNarrow-Bold.otf') format('opentype');
	font-weight: 700;
	font-style: normal;
	font-display: swap;
}

@font-face {
	font-family: 'Gotham XNarrow';
	src: url('/fonts/Gotham/Gotham%20XNarrow/GothamXNarrow-BoldItalic.otf') format('opentype');
	font-weight: 700;
	font-style: italic;
	font-display: swap;
}

@font-face {
	font-family: 'Gotham XNarrow';
	src: url('/fonts/Gotham/Gotham%20XNarrow/GothamXNarrow-BookItalic.otf') format('opentype');
	font-weight: 400;
	font-style: italic;
	font-display: swap;
}

/* ===== Gotham Narrow ===== */
@font-face {
	font-family: 'Gotham Narrow';
	src: url('/fonts/Gotham/Gotham%20Narrow/GothamNarrow-Book.otf') format('opentype');
	font-weight: 400;
	font-style: normal;
	font-display: swap;
}

@font-face {
	font-family: 'Gotham Narrow';
	src: url('/fonts/Gotham/Gotham%20Narrow/GothamNarrow-Medium.otf') format('opentype');
	font-weight: 500;
	font-style: normal;
	font-display: swap;
}

/* ===== Grumpy ===== */
@font-face {
	font-family: 'Grumpy';
	src: url('/fonts/Grumpy/Grumpy-Black88.otf') format('opentype');
	font-weight: 900;
	font-style: normal;
	font-display: swap;
}

html, body {
	margin: 0;
	height: 100%;
}

a {
	text-decoration: none;
	color: #1a1a1a;
}

p {
	margin: 0;
}

h1, h2, h3, h4, h5 {
	margin: 0;
}

.main-container {
	max-width: 1200px;
	padding: 0 20px;
	margin: auto;
}

.hero {
	background-image: url('../images/hero.jpg');
	background-size: cover;
	background-position: top center;
	background-repeat: no-repeat;
	height: 855px;
	font-family: "Gotham XNarrow";
	font-size: 36px;
	font-weight: 500;
	line-height: 36px;
	color: #fff;
	text-shadow: 1px 3px 6px rgba(0, 0, 0, 0.60);
	position: relative;
}

	.hero .overlay {
		position: absolute;
		top: 0;
		left: 0;
		right: 0;
		bottom: 0;
		background: #000;
		opacity: .2;
	}

	.hero .inner {
		position: relative;
		padding-top: 70px;
	}

	.hero .logo {
		height: 222px;
		position: absolute;
		right: 50px;
		bottom: 50px;
	}

	.hero h1 {
		font-family: 'Canela';
		font-size: 190px;
		font-weight: 300;
		line-height: 160px;
		letter-spacing: -1.9px;
		margin-top: 70px;
	}

		.hero h1 .italic {
			font-style: italic;
		}

	.hero .dates {
		margin-top: 42px;
		font-size: 80px;
		font-weight: 400;
		line-height: 80px;
		letter-spacing: -0.8px;
	}

	.hero .label {
		height: 280px;
		width: 280px;
		background: #1a1a1a;
		border-radius: 50%;
		position: absolute;
		top: 525px;
		left: 525px;
		display: flex;
		align-items: center;
		justify-content: center;
		text-transform: uppercase;
		font-size: 58px;
		font-weight: 400;
		line-height: 52px;
	}

		.hero .label .holder .top {
			display: flex;
			align-items: baseline;
			gap: 5px;
		}

		.hero .label .holder .small {
			font-size: 28px;
		}

.cta {
	display: flex;
	padding: 150px 77px;
	gap: 120px;
	font-family: 'Gotham XNarrow';
	font-size: 36px;
	font-weight: 300;
	color: #1A1A1A;
	align-items: center;
	border-bottom: 1px solid #000;
}

	.cta .bold {
		font-weight: 500;
	}

	.cta p:not(:last-child) {
		margin-bottom: 40px;
	}

	.cta .left-part {
		flex: 1;
	}

	.cta .right-part {
		text-align: center;
		width: 310px;
	}

		.cta .right-part .qr-holder {
			border: 1px solid #1a1a1a;
			width: 286px;
			height: 286px;
			margin: 0 auto;
		}

			.cta .right-part .qr-holder img {
				width: 100%;
				height: 100%;
			}

		.cta .right-part .loading-text {
			font-size: 18px;
			margin-bottom: 20px;
		}

		.cta .right-part .loader-holder {
			height: 64px;
			width: 64px;
			margin: auto;
		}

		.cta .right-part .loader {
			--c: no-repeat linear-gradient(#1a1a1a 0 0);
			background: var(--c), var(--c), var(--c), var(--c), var(--c), var(--c), var(--c), var(--c), var(--c);
			background-size: 16px 16px;
			animation: l32-1 1s infinite, l32-2 1s infinite;
			margin: 0 auto;
		}

@keyframes l32-1 {
	0%, 100% {
		width: 45px;
		height: 45px
	}

	35%, 65% {
		width: 65px;
		height: 65px
	}
}

@keyframes l32-2 {
	0%, 40% {
		background-position: 0 0, 0 50%, 0 100%, 50% 100%, 100% 100%, 100% 50%, 100% 0, 50% 0, 50% 50%
	}

	60%, 100% {
		background-position: 0 50%, 0 100%, 50% 100%, 100% 100%, 100% 50%, 100% 0, 50% 0, 0 0, 50% 50%
	}
}

.cta a {
	font-weight: 500;
	text-decoration-line: underline;
	margin-top: 44px;
	display: inline-block;
}

.coupons {
	padding: 124px 0 154px;
}

	.coupons h2 {
		color: #000;
		text-align: center;
		font-family: 'Grumpy';
		font-size: 96px;
		font-weight: 900;
	}

	.coupons .grid {
		margin-top: 115px;
		display: grid;
		grid-template-columns: 1fr 1fr 1fr;
		grid-gap: 18px;
	}

	.coupons img {
		width: 100%;
	}

footer {
	background: #000;
	padding-top: 40px;
	color: #A3A3A3;
	font-family: "Gotham Narrow";
	font-size: 14px;
	font-weight: 400;
	line-height: 23px;
	letter-spacing: 0.168px;
}

	footer .inner {
		margin: auto;
		border-bottom: 1px solid #404040;
		padding-bottom: 48px;
	}

	footer .grid {
		padding: 0 16px;
		display: grid;
		grid-template-columns: 310px 310px 310px;
		grid-gap: 32px;
		justify-content: center;
	}

	footer .subtitle {
		font-size: 12px;
		line-height: 16px;
		font-weight: 500;
		letter-spacing: 0.144px;
		color: #fff;
		text-transform: uppercase;
		margin-bottom: 10px;
	}

	footer .social {
		display: flex;
		gap: 16px;
	}

	footer a {
		color: #A3A3A3;
	}

	footer .copyright {
		padding: 16px 0;
		text-align: center;
	}

@media (max-width: 1149px) {
	.hero {
		font-size: 26px;
		line-height: 28px;
	}

		.hero .inner {
			padding-top: 140px;
		}

		.hero .logo {
			height: 156px;
		}

		.hero h1 {
			font-size: 140px;
			line-height: 120px;
			letter-spacing: -1.4px;
			margin-top: 56px;
		}

		.hero .dates {
			margin-top: 30px;
			font-size: 60px;
			line-height: 80px;
			letter-spacing: -0.6px;
		}

		.hero .label {
			height: 210px;
			width: 210px;
			top: 486px;
			left: 373px;
			font-size: 44px;
			line-height: 40px;
		}

			.hero .label .holder .small {
				font-size: 20px;
			}

	.cta {
		gap: 40px;
	}
}

@media (max-width: 1024px) {
	.hero {
		height: 452px;
		font-size: 18px;
		line-height: 18px;
	}

		.hero .inner {
			padding-top: 75px;
		}

		.hero .logo {
			height: 92px;
			right: 30px;
			bottom: 30px;
		}

		.hero h1 {
			font-size: 82px;
			line-height: 72px;
			letter-spacing: -0.82px;
			margin-top: 31px;
		}

		.hero .dates {
			margin-top: 20px;
			font-size: 40px;
			line-height: normal;
			letter-spacing: -0.4px;
		}

		.hero .label {
			height: 130px;
			width: 130px;
			top: 286px;
			left: 257px;
			font-size: 28px;
			line-height: 26px;
		}

			.hero .label .holder .small {
				font-size: 12px;
			}

	.cta {
		padding: 60px 0;
		gap: 20px;
		font-size: 20px;
	}

		.cta p:not(:last-child) {
			margin-bottom: 20px;
		}

		.cta .right-part {
			width: 228px;
		}

			.cta .right-part .qr-holder {
				width: 226px;
				height: 226px;
			}

		.cta a {
			margin-top: 30px;
		}

	.coupons .grid {
		grid-template-columns: 1fr 1fr;
	}
}

@media (max-width: 600px) {
	.main-container {
		padding: 0 16px;
	}

	.hero {
		height: 452px;
		font-size: 11px;
		line-height: 11px;
		text-shadow: 1px 1px 3px rgba(0, 0, 0, 0.60);
	}

		.hero .main-container {
			padding: 0 24px;
		}

		.hero .inner {
			position: relative;
			padding-top: 118px;
		}

		.hero .logo {
			height: 64px;
			right: 10px;
			bottom: 10px;
		}

		.hero h1 {
			font-size: 56px;
			line-height: 48px;
			letter-spacing: -0.56px;
			margin-top: 26px;
		}

		.hero .dates {
			margin-top: 10px;
			font-size: 24px;
			line-height: normal;
			letter-spacing: -0.24px;
		}

		.hero .label {
			height: 84px;
			width: 84px;
			top: 257px;
			left: 157px;
			font-size: 17px;
			line-height: 16px;
		}

			.hero .label .holder .top {
				display: flex;
				align-items: baseline;
				gap: 4px;
			}

			.hero .label .holder .small {
				font-size: 8px;
			}

	.cta {
		flex-direction: column;
		padding: 40px 0;
		gap: 30px;
		font-size: 20px;
	}

		.cta p:not(:last-child) {
			margin-bottom: 20px;
		}

		.cta .right-part .qr-holder {
			width: 226px;
			height: 226px;
		}

		.cta a {
			margin-top: 30px;
		}

	.coupons {
		padding: 40px 0 50px;
	}

		.coupons h2 {
			font-size: 42px;
		}

		.coupons .grid {
			margin-top: 40px;
			grid-template-columns: 1fr;
			grid-gap: 12px;
		}

	footer .inner {
		padding-bottom: 32px;
	}

	footer .grid {
		grid-template-columns: 310px;
	}
}
